Subject: Re: [PATCH] sound: Switch back to struct platform_driver::remove()

From: Takashi Iwai <[email-masked]>
Date: Wed, 30 Oct 2024 14:49:46 +0100

On Tue, 29 Oct 2024 08:37:47 +0100,
Uwe Kleine-König wrote:
> 
> After commit 0edb555a65d1 ("platform: Make platform_driver::remove()
> return void") .remove() is (again) the right callback to implement for
> platform drivers.
> 
> Convert all platform drivers below sound to use .remove(), with
> the eventual goal to drop struct platform_driver::remove_new(). As
> .remove() and .remove_new() have the same prototypes, conversion is done
> by just changing the structure member name in the driver initializer.
> 
> On the way do a few whitespace changes to make indention consistent.
> 
> Signed-off-by: Uwe Kleine-König <[email-masked]>

Applied to for-next branch now.

thanks,

Takashi